Menu

## BuffMessageEvent extends BattleEvent
in package

BuffMessageEvent.php : 11

A battle event representing a message generated by a buff.

### Table of Contents

$applied : mixed
$message : mixed
__construct() : mixed
  Create a new BuffMessageEvent.
apply() : mixed
  Applies the event.
decorate() : string
  Returns a string describing the event.
getMessage() : string
  Return the message.

### Properties

#### $applied

BattleEvent.php : 14
`private mixed $applied = false`

#### $message

BuffMessageEvent.php : 13
`private mixed $message = ""`

### Methods

#### __construct()

BuffMessageEvent.php : 19

Create a new BuffMessageEvent.

`public __construct(string $message) : mixed`

##### Parameters

$message : string

  The message from the buff.

##### Return values

mixed —

#### apply()

BattleEvent.php : 20

Applies the event.

`public apply() : mixed`

##### Tags

throws
  BattleEventException

##### Return values

mixed —

#### decorate()

BuffMessageEvent.php : 36

Returns a string describing the event.

`public decorate(Game $game) : string`

##### Parameters

$game : Game

##### Tags

inheritDoc

##### Return values

string —

#### getMessage()

BuffMessageEvent.php : 28

Return the message.

`public getMessage() : string`

##### Return values

string —

## Search results